require 'test_helper'

class CinnostiFirmiesControllerTest < ActionController::TestCase
  setup do
    @cinnosti_firmy = cinnosti_firmies(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:cinnosti_firmies)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create cinnosti_firmy" do
    assert_difference('CinnostiFirmy.count') do
      post :create, cinnosti_firmy: @cinnosti_firmy.attributes
    end

    assert_redirected_to cinnosti_firmy_path(assigns(:cinnosti_firmy))
  end

  test "should show cinnosti_firmy" do
    get :show, id: @cinnosti_firmy
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @cinnosti_firmy
    assert_response :success
  end

  test "should update cinnosti_firmy" do
    put :update, id: @cinnosti_firmy, cinnosti_firmy: @cinnosti_firmy.attributes
    assert_redirected_to cinnosti_firmy_path(assigns(:cinnosti_firmy))
  end

  test "should destroy cinnosti_firmy" do
    assert_difference('CinnostiFirmy.count', -1) do
      delete :destroy, id: @cinnosti_firmy
    end

    assert_redirected_to cinnosti_firmies_path
  end
end
